/*
*  Rubrica
*  file: modulo_int.c
*
*  
*  Copyright (C) 2000-2001 Nicola Fragale <nicolafragale@libero.it>
*
*  This program is free software; you can redistribute it and/or modify
*  it under the terms of the GNU General Public License as published by
*  the Free Software Foundation; either version 2 of the License, or
*  (at your option) any later version.
*
*  This program is distributed in the hope that it will be useful,
*  but WITHOUT ANY WARRANTY; without even the implied warranty of
*  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
*  GNU General Public License for more details.
*
*  You should have received a copy of the GNU General Public License
*  along with this program; if not, write to the Free Software
*  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

#include <sys/types.h>
#include <sys/stat.h>
#include <unistd.h>
#include <string.h>

#include <gnome.h>

#include "modulo_cb.h"
#include "modulo_int.h"
#include "support.h"

/*
  Nota:
  le clist web e mail hanno 2 colonne
*/


GtkWidget*
modulo_rubrica_crea_pagina_dati(ModuloRubrica *modulo)
{
  GtkWidget *frame_dati;
  GtkWidget *frame_scheda;

  GtkWidget *vbox1;
  GtkWidget *vbox2;
  GtkWidget *hbox1;
  GtkWidget *hbox2;

  gchar *pixmap1_filename;
  GtkWidget *pixmap1;

  GtkWidget *frame3;
  GtkWidget *frame4;

  GtkWidget *table1;
  GtkWidget *table2;

  GtkWidget *label1;
  GtkWidget *label2;
  GtkWidget *label3;
  GtkWidget *label4;
  GtkWidget *label5;
  GtkWidget *label6;
  GtkWidget *label7;
  GtkWidget *label8;
  GtkWidget *label9;
  GtkWidget *label10;

/*
  frame_dati = gtk_frame_new (_(" Dati Personali "));
*/
  frame_dati = gtk_frame_new (_(" Personal Data "));
  gtk_widget_ref (frame_dati);

  gtk_widget_show (frame_dati);
  gtk_container_set_border_width (GTK_CONTAINER (frame_dati), 5);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (frame_dati), vbox1);

/*
  frame_scheda = gtk_frame_new (_(" Scheda "));
*/
  frame_scheda = gtk_frame_new (_(" Card "));
  gtk_widget_ref (frame_scheda);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "frame_scheda", frame_scheda,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame_scheda);
  gtk_box_pack_start (GTK_BOX (vbox1), frame_scheda, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame_scheda), 5);

  vbox2 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox2);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "vbox2", vbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox2);
  gtk_container_add (GTK_CONTAINER (frame_scheda), vbox2);

  hbox1 = gtk_hbox_new (FALSE, 5);
  gtk_widget_ref (hbox1);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "hbox1", hbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox1, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbox1), 5);

/*
  label1 = gtk_label_new (_("Scheda"));
*/
  label1 = gtk_label_new (_("Card"));
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_box_pack_start (GTK_BOX (hbox1), label1, FALSE, FALSE, 0);
  gtk_misc_set_alignment (GTK_MISC (label1), 0.0, 0.5);

  modulo->scheda = gtk_entry_new ();
  gtk_widget_ref (modulo->scheda);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "modulo->scheda", modulo->scheda,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->scheda);
  gtk_box_pack_start (GTK_BOX (hbox1), modulo->scheda, TRUE, TRUE, 3);

  /*    pixmap --- evolution-contacts.png ---
   */
  pixmap1 = gtk_type_new (gnome_pixmap_get_type ());
  pixmap1_filename = 
    gnome_pixmap_file ("rubrica/evolution-contacts.png");
  if (pixmap1_filename)
    gnome_pixmap_load_file (GNOME_PIXMAP (pixmap1), pixmap1_filename);
  else
    g_warning (_("Couldn't find pixmap file: %s"), "evolution-contacts.png");
  g_free (pixmap1_filename);
  gtk_widget_ref (pixmap1);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "pixmap1", pixmap1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap1);
  gtk_box_pack_start (GTK_BOX (hbox1), pixmap1, FALSE, FALSE, 0);

  hbox2 = gtk_hbox_new (FALSE, 5);
  gtk_widget_ref (hbox2);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "hbox2", hbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox2, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbox2), 5);

/*
  modulo->cancellabile = gtk_check_button_new_with_label (_("Scheda cancellabile"));
*/
  modulo->cancellabile = gtk_check_button_new_with_label (_("Deleting card"));
  gtk_widget_ref (modulo->cancellabile);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "modulo->cancellabile", 
			    modulo->cancellabile,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->cancellabile);
  gtk_box_pack_start (GTK_BOX (hbox2), modulo->cancellabile, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (modulo->cancellabile), 2);

/*
  modulo->editabile = gtk_check_button_new_with_label (_("Scheda modificabile"));
*/
  modulo->editabile = gtk_check_button_new_with_label (_("Modifying card"));
  gtk_widget_ref (modulo->editabile);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "modulo->editabile",
			    modulo->editabile,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->editabile);
  gtk_box_pack_start (GTK_BOX (hbox2), modulo->editabile, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (modulo->editabile), 2);

/*
  frame3 = gtk_frame_new (_(" Nominativo"));
*/
  frame3 = gtk_frame_new (_(" Nominativo "));
  gtk_widget_ref (frame3);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "frame3", frame3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame3);
  gtk_box_pack_start (GTK_BOX (vbox1), frame3, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame3), 5);

  table1 = gtk_table_new (3, 2, FALSE);
  gtk_widget_ref (table1);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "table1", table1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table1);
  gtk_container_add (GTK_CONTAINER (frame3), table1);
  gtk_container_set_border_width (GTK_CONTAINER (table1), 5);
  gtk_table_set_row_spacings (GTK_TABLE (table1), 5);
  gtk_table_set_col_spacings (GTK_TABLE (table1), 5);

/*
  label2 = gtk_label_new (_("Nome"));
*/
  label2 = gtk_label_new (_("Name"));
  gtk_widget_ref (label2);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "label2", label2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label2);
  gtk_table_attach (GTK_TABLE (table1), label2, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label2), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label2), 0.0, 0.5);

/*
  label3 = gtk_label_new (_("Professione"));
*/
  label3 = gtk_label_new (_("Profession"));
  gtk_widget_ref (label3);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "label3", label3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label3);
  gtk_table_attach (GTK_TABLE (table1), label3, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label3), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label3), 0.0, 0.5);

/*
  label4 = gtk_label_new (_("Cognome"));
*/
  label4 = gtk_label_new (_("Surname"));
  gtk_widget_ref (label4);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "label4", label4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label4);
  gtk_table_attach (GTK_TABLE (table1), label4, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label4), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label4), 0.0, 0.5);

  modulo->nome = gtk_entry_new ();
  gtk_widget_ref (modulo->nome);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "modulo->nome", modulo->nome,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->nome);
  gtk_table_attach (GTK_TABLE (table1), modulo->nome, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);

  modulo->cognome = gtk_entry_new ();
  gtk_widget_ref (modulo->cognome);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "modulo->cognome",
			    modulo->cognome,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->cognome);
  gtk_table_attach (GTK_TABLE (table1), modulo->cognome, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);

  modulo->professione = gtk_entry_new ();
  gtk_widget_ref (modulo->professione);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "modulo->professione", 
			    modulo->professione,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->professione);
  gtk_table_attach (GTK_TABLE (table1), modulo->professione, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);

/*
  frame4 = gtk_frame_new (_(" Indirizzo "));
*/
  frame4 = gtk_frame_new (_(" Address "));
  gtk_widget_ref (frame4);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "frame4", frame4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame4);
  gtk_box_pack_start (GTK_BOX (vbox1), frame4, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame4), 5);

  table2 = gtk_table_new (6, 2, FALSE);
  gtk_widget_ref (table2);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "table2", table2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table2);
  gtk_container_add (GTK_CONTAINER (frame4), table2);
  gtk_container_set_border_width (GTK_CONTAINER (table2), 5);
  gtk_table_set_row_spacings (GTK_TABLE (table2), 5);
  gtk_table_set_col_spacings (GTK_TABLE (table2), 5);

  modulo->via = gtk_entry_new ();
  gtk_widget_ref (modulo->via);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "modulo->via", modulo->via,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->via);
  gtk_table_attach (GTK_TABLE (table2), modulo->via, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  modulo->numero = gtk_entry_new ();
  gtk_widget_ref (modulo->numero);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "modulo->numero", modulo->numero,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->numero);
  gtk_table_attach (GTK_TABLE (table2), modulo->numero, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  modulo->cap = gtk_entry_new ();
  gtk_widget_ref (modulo->cap);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "modulo->cap", modulo->cap,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->cap);
  gtk_table_attach (GTK_TABLE (table2), modulo->cap, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  modulo->citta = gtk_entry_new ();
  gtk_widget_ref (modulo->citta);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "modulo->citta", modulo->citta,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->citta);
  gtk_table_attach (GTK_TABLE (table2), modulo->citta, 1, 2, 3, 4,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  modulo->provincia = gtk_entry_new ();
  gtk_widget_ref (modulo->provincia);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "modulo->provincia", 
			    modulo->provincia,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->provincia);
  gtk_table_attach (GTK_TABLE (table2), modulo->provincia, 1, 2, 4, 5,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

  modulo->stato = gtk_entry_new ();
  gtk_widget_ref (modulo->stato);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "modulo->stato", modulo->stato,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->stato);
  gtk_table_attach (GTK_TABLE (table2), modulo->stato, 1, 2, 5, 6,
                    (GtkAttachOptions) (GTK_EXPAND | GTK_FILL),
                    (GtkAttachOptions) (0), 0, 0);

/*
  label5 = gtk_label_new (_("Via"));
*/
  label5 = gtk_label_new (_("Street"));
  gtk_widget_ref (label5);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "label5", label5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label5);
  gtk_table_attach (GTK_TABLE (table2), label5, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label5), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label5), 0.0, 0.5);

/*
  label6 = gtk_label_new (_("Numero"));
*/
  label6 = gtk_label_new (_("Number"));
  gtk_widget_ref (label6);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "label6", label6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label6);
  gtk_table_attach (GTK_TABLE (table2), label6, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label6), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label6), 0, 0.5);

/*
  label7 = gtk_label_new (_("Cap"));
*/
  label7 = gtk_label_new (_("Zip code"));
  gtk_widget_ref (label7);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "label7", label7,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label7);
  gtk_table_attach (GTK_TABLE (table2), label7, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label7), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label7), 0, 0.5);

/*
  label8 = gtk_label_new (_("Citt"));
*/
  label8 = gtk_label_new (_("City"));
  gtk_widget_ref (label8);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "label8", label8,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label8);
  gtk_table_attach (GTK_TABLE (table2), label8, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label8), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label8), 0, 0.5);

/*
  label9 = gtk_label_new (_("Provincia"));
*/
  label9 = gtk_label_new (_("Province"));
  gtk_widget_ref (label9);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "label9", label9,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label9);
  gtk_table_attach (GTK_TABLE (table2), label9, 0, 1, 4, 5,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label9), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label9), 0, 0.5);

/*
  label10 = gtk_label_new (_("Stato"));
*/
  label10 = gtk_label_new (_("State"));
  gtk_widget_ref (label10);
  gtk_object_set_data_full (GTK_OBJECT (frame_dati), "label10", label10,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label10);
  gtk_table_attach (GTK_TABLE (table2), label10, 0, 1, 5, 6,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);
  gtk_label_set_justify (GTK_LABEL (label10), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label10), 0, 0.5);

/*
  gtk_signal_connect (GTK_OBJECT (modulo->cancellabile), "toggled",
                      GTK_SIGNAL_FUNC (on_check_cancellabile_toggled),
                      NULL);
  gtk_signal_connect (GTK_OBJECT (modulo->editabile), "toggled",
                      GTK_SIGNAL_FUNC (on_check_modificabile_toggled),
                      NULL);
*/
  return frame_dati;
}

GtkWidget*
modulo_rubrica_crea_pagina_rete(ModuloRubrica *modulo)
{
  GtkWidget *frame1;
  GtkWidget *frame2;
  GtkWidget *frame3;

  GtkWidget *vbox1;
  GtkWidget *vbox2;
  GtkWidget *hbox1;
  GtkWidget *hbox2;
  GtkWidget *vbox3;
  GtkWidget *hbox3;
  GtkWidget *hbox4;

  GtkWidget *label1;
  GtkWidget *label2;
  GtkWidget *label3;
  GtkWidget *label4;
  GtkWidget *label5;
  GtkWidget *label6;

  gchar *pixmap1_filename;
  gchar *pixmap2_filename;
  GtkWidget *pixmap1;
  GtkWidget *pixmap2;

  GtkWidget *vbuttonbox1;   // box web
  GtkWidget *vbuttonbox2;   // box mail

  GtkWidget *scrolledwindow1;
  GtkWidget *scrolledwindow2;


  /*     frame rete
  */
/*
  frame1 = gtk_frame_new (_(" Indirizzi di rete "));
*/
  frame1 = gtk_frame_new (_(" Net address "));
  gtk_widget_ref (frame1);
  gtk_widget_show (frame1);
  gtk_container_set_border_width (GTK_CONTAINER (frame1), 5);

  vbox1 = gtk_vbox_new (FALSE, 10);
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (frame1), vbox1);
  gtk_container_set_border_width (GTK_CONTAINER (vbox1), 5);

  /*    frame web
  */
  frame2 = gtk_frame_new (_(" Web "));
  gtk_widget_ref (frame2);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "frame2", frame2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame2);
  gtk_box_pack_start (GTK_BOX (vbox1), frame2, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame2), 1);

  vbox2 = gtk_vbox_new (FALSE, 2);
  gtk_widget_ref (vbox2);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "vbox2", vbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox2);
  gtk_container_add (GTK_CONTAINER (frame2), vbox2);

  hbox1 = gtk_hbox_new (FALSE, 5);
  gtk_widget_ref (hbox1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "hbox1", hbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox1, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbox1), 3);

/*
  label1 = gtk_label_new (_("Indirizzo web  "));
*/
  label1 = gtk_label_new (_("Web address  "));
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_box_pack_start (GTK_BOX (hbox1), label1, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label1), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label1), 0.0, 0.5);

  /*
   *   ENTRY WEB
   */
  modulo->web = gtk_entry_new ();
  gtk_widget_ref (modulo->web);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->web", modulo->web,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->web);
  gtk_box_pack_start (GTK_BOX (hbox1), modulo->web, TRUE, TRUE, 0);

  /*     pixmap web  --- globe.png ---
  */
  pixmap1 = gtk_type_new (gnome_pixmap_get_type ());
  pixmap1_filename = 
    gnome_pixmap_file ("rubrica/globe.png");
  if (pixmap1_filename)
    gnome_pixmap_load_file (GNOME_PIXMAP (pixmap1), pixmap1_filename);
  else
/*
    g_warning (_("Non riesco a trovare il file dell'immagine: %s"), "globe.png");
*/
    g_warning (_("Couldn't find pixmap file: %s"), "globe.png");
  g_free (pixmap1_filename);
  gtk_widget_ref (pixmap1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "pixmap1", pixmap1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap1);
  gtk_box_pack_start (GTK_BOX (hbox1), pixmap1, FALSE, FALSE, 0);

  hbox2 = gtk_hbox_new (FALSE, 2);
  gtk_widget_ref (hbox2);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "hbox2", hbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox2), hbox2, TRUE, TRUE, 0);

  /*    box bottoni
  */
  vbuttonbox1 = gtk_vbutton_box_new ();
  gtk_widget_ref (vbuttonbox1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "vbuttonbox1", vbuttonbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbuttonbox1);
  gtk_box_pack_start (GTK_BOX (hbox2), vbuttonbox1, FALSE, TRUE, 0);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (vbuttonbox1), GTK_BUTTONBOX_SPREAD);

  /* 
   *  BOTTONI WEB
   */
  /*
  modulo->web_aggiungi = gtk_button_new_with_label (_("Aggiungi"));
  */
  modulo->web_aggiungi = gtk_button_new_with_label (_("Add"));
  gtk_widget_ref (modulo->web_aggiungi);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->web_aggiungi",
			    modulo->web_aggiungi,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->web_aggiungi);
  gtk_container_add (GTK_CONTAINER (vbuttonbox1), modulo->web_aggiungi);
  GTK_WIDGET_SET_FLAGS (modulo->web_aggiungi, GTK_CAN_DEFAULT);

/*
  modulo->web_modifica = gtk_button_new_with_label (_("Modifica"));
*/
  modulo->web_modifica = gtk_button_new_with_label (_("Modify"));
  gtk_widget_ref (modulo->web_modifica);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->web_modifica", 
			    modulo->web_modifica,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->web_modifica);
  gtk_container_add (GTK_CONTAINER (vbuttonbox1), modulo->web_modifica);
  GTK_WIDGET_SET_FLAGS (modulo->web_modifica, GTK_CAN_DEFAULT);

/*
  modulo->web_cancella = gtk_button_new_with_label (_("Elimina"));
*/
  modulo->web_cancella = gtk_button_new_with_label (_("Delete"));
  gtk_widget_ref (modulo->web_cancella);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->web_cancella",
			    modulo->web_cancella,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->web_cancella);
  gtk_container_add (GTK_CONTAINER (vbuttonbox1), modulo->web_cancella);
  GTK_WIDGET_SET_FLAGS (modulo->web_cancella, GTK_CAN_DEFAULT);

  /*    desensibilizzo i bottoni modifica e cancella
  */
  gtk_widget_set_sensitive(GTK_WIDGET(modulo->web_modifica), FALSE);
  gtk_widget_set_sensitive(GTK_WIDGET(modulo->web_cancella), FALSE);

  scrolledwindow1 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "scrolledwindow1", scrolledwindow1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow1);
  gtk_box_pack_start (GTK_BOX (hbox2), scrolledwindow1, TRUE, TRUE, 0);

  /*
   *  CLIST WEB
   */
  modulo->clist_web = gtk_clist_new (2);
  gtk_widget_ref (modulo->clist_web);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->clist_web", 
			    modulo->clist_web,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->clist_web);
  gtk_container_add (GTK_CONTAINER (scrolledwindow1), modulo->clist_web);
  gtk_clist_set_column_width (GTK_CLIST (modulo->clist_web), 0, 15);
  gtk_clist_set_column_width (GTK_CLIST (modulo->clist_web), 1, 80);
  gtk_clist_column_titles_show (GTK_CLIST (modulo->clist_web));

  label2 = gtk_label_new ("");
  gtk_widget_ref (label2);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "label2", label2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label2);
  gtk_clist_set_column_widget (GTK_CLIST (modulo->clist_web), 0, label2);

  /*
  label3 = gtk_label_new (_("Indirizzo internet"));
  */
  label3 = gtk_label_new (_("Internet address"));
  gtk_widget_ref (label3);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "label3", label3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label3);
  gtk_clist_set_column_widget (GTK_CLIST (modulo->clist_web), 1, label3);

  /*    frame mail
  */
  frame3 = gtk_frame_new (_(" Mail "));
  gtk_widget_ref (frame3);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "frame3", frame3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame3);
  gtk_box_pack_start (GTK_BOX (vbox1), frame3, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame3), 1);

  vbox3 = gtk_vbox_new (FALSE, 2);
  gtk_widget_ref (vbox3);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "vbox3", vbox3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox3);
  gtk_container_add (GTK_CONTAINER (frame3), vbox3);

  hbox3 = gtk_hbox_new (FALSE, 5);
  gtk_widget_ref (hbox3);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "hbox3", hbox3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox3);
  gtk_box_pack_start (GTK_BOX (vbox3), hbox3, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbox3), 5);

  /*
  label4 = gtk_label_new (_("Indirizzo email"));
  */
  label4 = gtk_label_new (_("email"));
  gtk_widget_ref (label4);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "label4", label4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label4);
  gtk_box_pack_start (GTK_BOX (hbox3), label4, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label4), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label4), 0.0, 0.5);

  /*
   *  ENTRY MAIL
   */
  modulo->mail = gtk_entry_new ();
  gtk_widget_ref (modulo->mail);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->mail", modulo->mail,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->mail);
  gtk_box_pack_start (GTK_BOX (hbox3), modulo->mail, TRUE, TRUE, 0);

  /*    pixmap mail  --- evolution.png ---
  */
  pixmap2 = gtk_type_new (gnome_pixmap_get_type ());
  pixmap2_filename = 
    gnome_pixmap_file ("rubrica/evolution.png");
  if (pixmap2_filename)
    gnome_pixmap_load_file (GNOME_PIXMAP (pixmap2), pixmap2_filename);
  else
    /*
      g_warning (_("Non riesco a trovare il file dell'immagine: %s"), "evolution.png");
    */
    g_warning (_("Couldn't find pixmap file: %s"), "evolution.png");
  g_free (pixmap2_filename);
  gtk_widget_ref (pixmap2);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "pixmap2", pixmap2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap2);
  gtk_box_pack_start (GTK_BOX (hbox3), pixmap2, FALSE, FALSE, 0);

  hbox4 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox4);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "hbox4", hbox4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox4);
  gtk_box_pack_start (GTK_BOX (vbox3), hbox4, TRUE, TRUE, 0);

  /*    box bottoni mail
  */
  vbuttonbox2 = gtk_vbutton_box_new ();
  gtk_widget_ref (vbuttonbox2);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "vbuttonbox2", vbuttonbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbuttonbox2);
  gtk_box_pack_start (GTK_BOX (hbox4), vbuttonbox2, FALSE, TRUE, 0);

  /*
   * BOTTONI MAIL
   */
/*
  modulo->mail_aggiungi = gtk_button_new_with_label (_("Aggiungi"));
*/
  modulo->mail_aggiungi = gtk_button_new_with_label (_("Add"));
  gtk_widget_ref (modulo->mail_aggiungi);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->mail_aggiungi",
			    modulo->mail_aggiungi,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->mail_aggiungi);
  gtk_container_add (GTK_CONTAINER (vbuttonbox2), modulo->mail_aggiungi);
  GTK_WIDGET_SET_FLAGS (modulo->mail_aggiungi, GTK_CAN_DEFAULT);

/*
  modulo->mail_modifica = gtk_button_new_with_label (_("Modifica"));
*/
  modulo->mail_modifica = gtk_button_new_with_label (_("Modify"));
  gtk_widget_ref (modulo->mail_modifica);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->mail_modifica", 
			    modulo->mail_modifica,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->mail_modifica);
  gtk_container_add (GTK_CONTAINER (vbuttonbox2), modulo->mail_modifica);
  GTK_WIDGET_SET_FLAGS (modulo->mail_modifica, GTK_CAN_DEFAULT);

/*
  modulo->mail_cancella = gtk_button_new_with_label (_("Elimina"));
*/
  modulo->mail_cancella = gtk_button_new_with_label (_("Delete"));
  gtk_widget_ref (modulo->mail_cancella);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->mail_cancella", 
			    modulo->mail_cancella,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->mail_cancella);
  gtk_container_add (GTK_CONTAINER (vbuttonbox2), modulo->mail_cancella);
  GTK_WIDGET_SET_FLAGS (modulo->mail_cancella, GTK_CAN_DEFAULT);

  /* desensibilizzo i bottoni modifica e cancella
   */
  gtk_widget_set_sensitive(GTK_WIDGET(modulo->mail_modifica), FALSE);
  gtk_widget_set_sensitive(GTK_WIDGET(modulo->mail_cancella), FALSE);
  
  scrolledwindow2 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow2);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "scrolledwindow2", scrolledwindow2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow2);
  gtk_box_pack_start (GTK_BOX (hbox4), scrolledwindow2, TRUE, TRUE, 0);

  /*
   * CLIST MAIL
   */
  modulo->clist_mail = gtk_clist_new (2);
  gtk_widget_ref (modulo->clist_mail);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->clist_mail", 
			    modulo->clist_mail,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->clist_mail);
  gtk_container_add (GTK_CONTAINER (scrolledwindow2), modulo->clist_mail);
  gtk_clist_set_column_width (GTK_CLIST (modulo->clist_mail), 0, 15);
  gtk_clist_set_column_width (GTK_CLIST (modulo->clist_mail), 1, 80);
  gtk_clist_column_titles_show (GTK_CLIST (modulo->clist_mail));

  label5 = gtk_label_new ("");
  gtk_widget_ref (label5);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "label5", label5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label5);
  gtk_clist_set_column_widget (GTK_CLIST (modulo->clist_mail), 0, label5);

/*
  label6 = gtk_label_new (_("Indirizzo posta"));
*/
  label6 = gtk_label_new (_("email"));
  gtk_widget_ref (label6);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "label6", label6,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label6);
  gtk_clist_set_column_widget (GTK_CLIST (modulo->clist_mail), 1, label6);


  /*    
   *	FUNZIONI DI CALLBACK
   */

  /*    bottoni web
  */
  gtk_signal_connect (GTK_OBJECT (modulo->web_aggiungi), "clicked",
                      GTK_SIGNAL_FUNC (on_bot_web_aggiungi_clicked),
                      MODULO_RUBRICA(modulo));
  gtk_signal_connect (GTK_OBJECT (modulo->web_modifica), "clicked",
                      GTK_SIGNAL_FUNC (on_bot_web_modifica_clicked),
                      MODULO_RUBRICA(modulo));
  gtk_signal_connect (GTK_OBJECT (modulo->web_cancella), "clicked",
                      GTK_SIGNAL_FUNC (on_bot_web_elimina_clicked),
                      MODULO_RUBRICA(modulo));
  /*    clist web
  */
  gtk_signal_connect (GTK_OBJECT (modulo->clist_web), "select_row",
                      GTK_SIGNAL_FUNC (on_web_clist_select_row),
                      MODULO_RUBRICA(modulo));
/*
  gtk_signal_connect (GTK_OBJECT (modulo->clist_web), "unselect_row",
                      GTK_SIGNAL_FUNC (on_web_clist_unselect_row),
                      MODULO_RUBRICA(modulo));
*/
  /*    bottoni mail
  */
  gtk_signal_connect (GTK_OBJECT (modulo->mail_aggiungi), "clicked",
                      GTK_SIGNAL_FUNC (on_bot_mail_aggiungi_clicked),
                      MODULO_RUBRICA(modulo));
  gtk_signal_connect (GTK_OBJECT (modulo->mail_modifica), "clicked",
                      GTK_SIGNAL_FUNC (on_bot_mail_modifica_clicked),
                      MODULO_RUBRICA(modulo));
  gtk_signal_connect (GTK_OBJECT (modulo->mail_cancella), "clicked",
                      GTK_SIGNAL_FUNC (on_bot_mail_elimina_clicked),
                      MODULO_RUBRICA(modulo));
  /*    clist mail
   */
    gtk_signal_connect (GTK_OBJECT (modulo->clist_mail), "select_row",
                      GTK_SIGNAL_FUNC (on_mail_clist_select_row),
                      MODULO_RUBRICA(modulo));
/*
  gtk_signal_connect (GTK_OBJECT (modulo->clist_mail), "unselect_row",
                      GTK_SIGNAL_FUNC (on_mail_clist_unselect_row),
                      MODULO_RUBRICA(modulo));
*/

  return frame1;
}


GtkWidget*
modulo_rubrica_crea_pagina_telefono(ModuloRubrica *modulo)
{
  GtkWidget *frame1;
  GtkWidget *frame2;
  GtkWidget *frame3;
  GtkWidget *frame4;

  GtkWidget *vbox1;
  GtkWidget *hbox1;
  GtkWidget *hbox2;

  GtkWidget *label1;
  GtkWidget *label2;
  GtkWidget *label3;
  GtkWidget *label4;

  gchar *pixmap1_filename;
  gchar *pixmap2_filename;
  gchar *pixmap3_filename;
  gchar *pixmap4_filename;
  gchar *pixmap5_filename;

  GtkWidget *pixmap1;
  GtkWidget *pixmap2;
  GtkWidget *pixmap3;
  GtkWidget *pixmap4;
  GtkWidget *pixmap5;
  
  GtkWidget *table1;

//  GSList *table1_group = NULL;
  GtkWidget *hbuttonbox1;
  GtkWidget *scrolledwindow1;

  modulo->gruppo_tipo = NULL;
  
  /*  frame telefono
   */
/*
  frame1 = gtk_frame_new (_(" Telefono "));
*/
  frame1 = gtk_frame_new (_(" Telephone "));
  gtk_widget_ref (frame1);
  gtk_widget_show (frame1);
  gtk_container_set_border_width (GTK_CONTAINER (frame1), 5);

  vbox1 = gtk_vbox_new (FALSE, 5);
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (frame1), vbox1);
  gtk_container_set_border_width (GTK_CONTAINER (vbox1), 5);

  /*     frame acquisizione numero
   */
/*
  frame2 = gtk_frame_new (_(" Numero telefonico "));
*/
  frame2 = gtk_frame_new (_(" Telephone number "));
  gtk_widget_ref (frame2);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "frame2", frame2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame2);
  gtk_box_pack_start (GTK_BOX (vbox1), frame2, FALSE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame2), 5);

  hbox1 = gtk_hbox_new (FALSE, 5);
  gtk_widget_ref (hbox1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "hbox1", hbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox1);
  gtk_container_add (GTK_CONTAINER (frame2), hbox1);
  gtk_container_set_border_width (GTK_CONTAINER (hbox1), 5);

/*
  label1 = gtk_label_new (_("Numero"));
*/
  label1 = gtk_label_new (_("Number"));
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_box_pack_start (GTK_BOX (hbox1), label1, FALSE, FALSE, 0);
  gtk_label_set_justify (GTK_LABEL (label1), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label1), 0, 0.5);

  /*
   *   ENTRY TELEFONO
   */
  modulo->telefono = gtk_entry_new ();
  gtk_widget_ref (modulo->telefono);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->telefono", modulo->telefono,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->telefono);
  gtk_box_pack_start (GTK_BOX (hbox1), modulo->telefono, TRUE, TRUE, 0);

  /*     pixmap telefono  --- gnome-talk.png ---
  */
  pixmap1 = gtk_type_new (gnome_pixmap_get_type ());
  pixmap1_filename =
    gnome_pixmap_file ("rubrica/gnome-talk.png");
  if (pixmap1_filename)
    gnome_pixmap_load_file (GNOME_PIXMAP (pixmap1), pixmap1_filename);
  else
/*
    g_warning (_("Non riesco a trovare il file dell'immagine: %s"), "gnome-talk.png");
*/
    g_warning (_("Couldn't find pixmap file: %s"), "gnome-talk.png");
  g_free (pixmap1_filename);
  gtk_widget_ref (pixmap1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "pixmap1", pixmap1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap1);
  gtk_box_pack_start (GTK_BOX (hbox1), pixmap1, FALSE, FALSE, 0);

  hbox2 = gtk_hbox_new (FALSE, 5);
  gtk_widget_ref (hbox2);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "hbox2", hbox2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox2);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox2, TRUE, TRUE, 0);

  /*    frame tipo telefono
  */
/*
  frame3 = gtk_frame_new (_(" Tipo telefono"));
*/
  frame3 = gtk_frame_new (_(" Telephone type"));
  gtk_widget_ref (frame3);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "frame3", frame3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame3);
  gtk_box_pack_start (GTK_BOX (hbox2), frame3, FALSE, FALSE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame3), 5);


  /*    tabella tipo telefono
   */
  table1 = gtk_table_new (4, 2, FALSE);
  gtk_widget_ref (table1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "table1", table1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (table1);
  gtk_container_add (GTK_CONTAINER (frame3), table1);

  /*
   *    RADIO BUTTON
   */

  /*    radio casa
  */
/*
  modulo->radio_casa = gtk_radio_button_new_with_label (modulo->gruppo_tipo,
							_("Telefono Casa"));
*/
  modulo->radio_casa = gtk_radio_button_new_with_label (modulo->gruppo_tipo,
							_("Home Telephone"));
  /*    inizializzo il gruppo dei radio button
  */
  modulo->gruppo_tipo = 
    gtk_radio_button_group (GTK_RADIO_BUTTON (modulo->radio_casa));

  gtk_widget_ref (modulo->radio_casa);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->radio_casa", 
			    modulo->radio_casa,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->radio_casa);
  gtk_table_attach (GTK_TABLE (table1), modulo->radio_casa, 1, 2, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);

  /*    imposto il bottone attivo di default 
  */
  gtk_toggle_button_set_active (GTK_TOGGLE_BUTTON (modulo->radio_casa), TRUE);


  /*    radio ufficio
  */
/*
  modulo->radio_ufficio = gtk_radio_button_new_with_label (modulo->gruppo_tipo, 
							  _("Telefono Ufficio"));
*/
  modulo->radio_ufficio = gtk_radio_button_new_with_label (modulo->gruppo_tipo, 
							   _("Work Telephone"));
  modulo->gruppo_tipo = 
    gtk_radio_button_group (GTK_RADIO_BUTTON (modulo->radio_ufficio));
  gtk_widget_ref (modulo->radio_ufficio);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->radio_ufficio", 
			    modulo->radio_ufficio,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->radio_ufficio);
  gtk_table_attach (GTK_TABLE (table1), modulo->radio_ufficio, 1, 2, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);

  /*    radio fax
  */
/*
  modulo->radio_fax = gtk_radio_button_new_with_label(modulo->gruppo_tipo, 
						      _("Telefono Fax"));
*/
  modulo->radio_fax = gtk_radio_button_new_with_label(modulo->gruppo_tipo, 
						      _("Fax Telephone"));
  modulo->gruppo_tipo = gtk_radio_button_group (GTK_RADIO_BUTTON (modulo->radio_fax));
  gtk_widget_ref (modulo->radio_fax);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->radio_fax", 
			    modulo->radio_fax,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->radio_fax);
  gtk_table_attach (GTK_TABLE (table1), modulo->radio_fax, 1, 2, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);

  /*    radio cellulare
  */
/*
  modulo->radio_cellulare = gtk_radio_button_new_with_label(modulo->gruppo_tipo, 
							    _("Telefono Cellulare"));
*/
  modulo->radio_cellulare = gtk_radio_button_new_with_label(modulo->gruppo_tipo, 
							    _("Cellphone"));
  modulo->gruppo_tipo = 
    gtk_radio_button_group (GTK_RADIO_BUTTON (modulo->radio_cellulare));
  gtk_widget_ref (modulo->radio_cellulare);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->radio_cellulare", 
			    modulo->radio_cellulare,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->radio_cellulare);
  gtk_table_attach (GTK_TABLE (table1), modulo->radio_cellulare, 1, 2, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_FILL), 0, 0);

  /*    pixmap bottoni radio
  */
  /*    pixmap ufficio  --- gnome-ccdesktop.png ---
  */
  pixmap2 = gtk_type_new (gnome_pixmap_get_type ());
  pixmap2_filename = 
    gnome_pixmap_file ("rubrica/gnome-ccdesktop.png");
  if (pixmap2_filename)
    gnome_pixmap_load_file (GNOME_PIXMAP (pixmap2), pixmap2_filename);
  else
/*    
      g_warning (_("Non riesco a trovare il file dell'immagine: %s"), "gnome-ccdesktop.png");
*/
    g_warning (_("Couldn't find pixmap file: %s"), "gnome-ccdesktop.png");
  g_free (pixmap2_filename);
  gtk_widget_ref (pixmap2);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "pixmap2", pixmap2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap2);
  gtk_table_attach (GTK_TABLE (table1), pixmap2, 0, 1, 1, 2,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);

  /*    pixmap fax  --- gnome-fax.png ---
   */  
  pixmap3 = gtk_type_new (gnome_pixmap_get_type ());
  pixmap3_filename = 
    gnome_pixmap_file ("rubrica/gnome-fax.png");
  if (pixmap3_filename)
    gnome_pixmap_load_file (GNOME_PIXMAP (pixmap3), pixmap3_filename);
  else
    /*
    g_warning (_("Non riesco a trovare il file dell'immagine: %s"), "gnome-fax.png");
    */
    g_warning (_("Couldn't find pixmap file: %s"), "gnome-fax.png");
  g_free (pixmap3_filename);
  gtk_widget_ref (pixmap3);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "pixmap3", pixmap3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap3);
  gtk_table_attach (GTK_TABLE (table1), pixmap3, 0, 1, 2, 3,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);

  /*  pixmap cellulare  --- cellphone.png ---
  */
  pixmap4 = gtk_type_new (gnome_pixmap_get_type ());
  pixmap4_filename = 
    gnome_pixmap_file ("rubrica/cellphone.png");
  if (pixmap4_filename)
    gnome_pixmap_load_file (GNOME_PIXMAP (pixmap4), pixmap4_filename);
  else
/*
    g_warning (_("Non riesco a trovare il file dell'immagine: %s"), 
	       "cellphone.png");
*/
    g_warning (_("Couldn't find pixmap file: %s"), "cellphone.png");  
  g_free (pixmap4_filename);
  gtk_widget_ref (pixmap4);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "pixmap4", pixmap4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap4);
  gtk_table_attach (GTK_TABLE (table1), pixmap4, 0, 1, 3, 4,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);

  /*    pixmap casa   --- house.png ---
  */
  pixmap5 = gtk_type_new (gnome_pixmap_get_type ());
  pixmap5_filename = 
    gnome_pixmap_file ("rubrica/house.png");
  if (pixmap5_filename)
    gnome_pixmap_load_file (GNOME_PIXMAP (pixmap5), pixmap5_filename);
  else
    /*
    g_warning (_("Non riesco a trovare il file dell'immagine: %s"), "house.png");
    */
    g_warning (_("Couldn't find pixmap file: %s"), "house.png");
  g_free (pixmap5_filename);
  gtk_widget_ref (pixmap5);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "pixmap5", pixmap5,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap5);
  gtk_table_attach (GTK_TABLE (table1), pixmap5, 0, 1, 0, 1,
                    (GtkAttachOptions) (GTK_FILL),
                    (GtkAttachOptions) (GTK_EXPAND), 0, 0);

  /*
   */
/*
  frame4 = gtk_frame_new (_("Elenco numeri "));
*/
  frame4 = gtk_frame_new (_("Number list "));
  gtk_widget_ref (frame4);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "frame4", frame4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame4);
  gtk_box_pack_start (GTK_BOX (hbox2), frame4, TRUE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (frame4), 5);

  scrolledwindow1 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "scrolledwindow1", scrolledwindow1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow1);
  gtk_container_add (GTK_CONTAINER (frame4), scrolledwindow1);

  /*
   *   CLIST TELEFONO
   */
  modulo->clist_telefono = gtk_clist_new (3);
  gtk_widget_ref (modulo->clist_telefono);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->clist_telefono", 
			    modulo->clist_telefono,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->clist_telefono);

  gtk_container_add (GTK_CONTAINER (scrolledwindow1), modulo->clist_telefono);
  gtk_container_set_border_width (GTK_CONTAINER (modulo->clist_telefono), 5);
  gtk_clist_set_column_width (GTK_CLIST (modulo->clist_telefono), 0, 15);
  gtk_clist_set_column_width (GTK_CLIST (modulo->clist_telefono), 1, 91);
  gtk_clist_set_column_width (GTK_CLIST (modulo->clist_telefono), 2, 80);
  gtk_clist_column_titles_show (GTK_CLIST (modulo->clist_telefono));

  label2 = gtk_label_new ("");
  gtk_widget_ref (label2);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "label2", label2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label2);
  gtk_clist_set_column_widget (GTK_CLIST (modulo->clist_telefono), 0, label2);

/*
  label3 = gtk_label_new (_("Numero"));
*/
  label3 = gtk_label_new (_("Number"));
  gtk_widget_ref (label3);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "label3", label3,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label3);
  gtk_clist_set_column_widget (GTK_CLIST (modulo->clist_telefono), 1, label3);

/*
  label4 = gtk_label_new (_("Tipo"));
*/
  label4 = gtk_label_new (_("Type"));
  gtk_widget_ref (label4);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "label4", label4,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label4);
  gtk_clist_set_column_widget (GTK_CLIST (modulo->clist_telefono), 2, label4);

  /*    box bottoni telefono
  */
  hbuttonbox1 = gtk_hbutton_box_new ();
  gtk_widget_ref (hbuttonbox1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "hbuttonbox1", hbuttonbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbuttonbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbuttonbox1, FALSE, TRUE, 0);
  gtk_container_set_border_width (GTK_CONTAINER (hbuttonbox1), 5);
  gtk_button_box_set_layout (GTK_BUTTON_BOX (hbuttonbox1), GTK_BUTTONBOX_SPREAD);

  /*
   *  BOTTONI TELEFONO
   */
  /*
  modulo->telefono_aggiungi = gtk_button_new_with_label (_("Aggiungi"));
  */
  modulo->telefono_aggiungi = gtk_button_new_with_label (_("Add"));
  gtk_widget_ref (modulo->telefono_aggiungi);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->telefono_aggiungi", 
			    modulo->telefono_aggiungi,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->telefono_aggiungi);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), modulo->telefono_aggiungi);
  GTK_WIDGET_SET_FLAGS (modulo->telefono_aggiungi, GTK_CAN_DEFAULT);

/*
  modulo->telefono_modifica = gtk_button_new_with_label (_("Modifica"));
*/
  modulo->telefono_modifica = gtk_button_new_with_label (_("Modify"));
  gtk_widget_ref (modulo->telefono_modifica);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->telefono_modifica", 
			    modulo->telefono_modifica,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->telefono_modifica);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), modulo->telefono_modifica);
  GTK_WIDGET_SET_FLAGS (modulo->telefono_modifica, GTK_CAN_DEFAULT);

/*
  modulo->telefono_cancella = gtk_button_new_with_label (_("Elimina"));
*/
  modulo->telefono_cancella = gtk_button_new_with_label (_("Delete"));
  gtk_widget_ref (modulo->telefono_cancella);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->telefono_cancella", 
			    modulo->telefono_cancella,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->telefono_cancella);
  gtk_container_add (GTK_CONTAINER (hbuttonbox1), modulo->telefono_cancella);
  GTK_WIDGET_SET_FLAGS (modulo->telefono_cancella, GTK_CAN_DEFAULT);

  /* desensibilizzo i bottoni modifica e cancella
   */
  gtk_widget_set_sensitive(GTK_WIDGET(modulo->telefono_modifica), FALSE);
  gtk_widget_set_sensitive(GTK_WIDGET(modulo->telefono_cancella), FALSE);
  

  /*
   * COLLEGAMENTO A FUNZIONI CALLBACK
   */ 

  gtk_signal_connect (GTK_OBJECT (modulo->radio_casa), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_casa_toggled),
		      MODULO_RUBRICA(modulo));
  gtk_signal_connect (GTK_OBJECT (modulo->radio_ufficio), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_ufficio_toggled),
                      MODULO_RUBRICA(modulo));
  gtk_signal_connect (GTK_OBJECT (modulo->radio_fax), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_fax_toggled),
                      MODULO_RUBRICA(modulo));
  gtk_signal_connect (GTK_OBJECT (modulo->radio_cellulare), "toggled",
                      GTK_SIGNAL_FUNC (on_radio_cellulare_toggled),
                      MODULO_RUBRICA(modulo));
/*
  gtk_signal_connect (GTK_OBJECT (modulo->clist_telefono), "unselect_row",
                      GTK_SIGNAL_FUNC (on_telefono_clist_unselect_row),
                      NULL);
*/
  gtk_signal_connect (GTK_OBJECT (modulo->clist_telefono), "select_row",
                      GTK_SIGNAL_FUNC (on_telefono_clist_select_row),
                      MODULO_RUBRICA(modulo));

  gtk_signal_connect (GTK_OBJECT (modulo->telefono_aggiungi), "clicked",
                      GTK_SIGNAL_FUNC (on_bot_tel_aggiungi_clicked),
                      MODULO_RUBRICA(modulo));
  gtk_signal_connect (GTK_OBJECT (modulo->telefono_modifica), "clicked",
                      GTK_SIGNAL_FUNC (on_bot_tel_modifica_clicked),
		      MODULO_RUBRICA(modulo));
  gtk_signal_connect (GTK_OBJECT (modulo->telefono_cancella), "clicked",
                      GTK_SIGNAL_FUNC (on_bot_tel_elimina_clicked),
                      MODULO_RUBRICA(modulo));

  return frame1;
}



GtkWidget*
modulo_rubrica_crea_pagina_note(ModuloRubrica *modulo)
{
  GtkWidget *frame1;
  GtkWidget *frame2;

  GtkWidget *vbox1;
  GtkWidget *hbox1;

  gchar *pixmap1_filename;
  GtkWidget *pixmap1;

  GtkWidget *label1;
  GtkWidget *scrolledwindow1;


/*
  frame1 = gtk_frame_new (_(" Note "));
*/
  frame1 = gtk_frame_new (_(" Notes "));
  gtk_widget_ref (frame1);
  gtk_widget_show (frame1);
  gtk_container_set_border_width (GTK_CONTAINER (frame1), 5);

  vbox1 = gtk_vbox_new (FALSE, 0);
  gtk_widget_ref (vbox1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "vbox1", vbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (vbox1);
  gtk_container_add (GTK_CONTAINER (frame1), vbox1);

  hbox1 = gtk_hbox_new (FALSE, 0);
  gtk_widget_ref (hbox1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "hbox1", hbox1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (hbox1);
  gtk_box_pack_start (GTK_BOX (vbox1), hbox1, FALSE, TRUE, 0);

  /*      PIXMAP NOTE   --- evolution-notes.png ---
   */
  pixmap1 = gtk_type_new (gnome_pixmap_get_type ());
  pixmap1_filename = 
    gnome_pixmap_file ("rubrica/evolution-notes.png");
  if (pixmap1_filename)
    gnome_pixmap_load_file (GNOME_PIXMAP (pixmap1), pixmap1_filename);
  else
    g_warning (_("Couldn't find pixmap file: %s"), "evolution-notes.png");
  g_free (pixmap1_filename);
  gtk_widget_ref (pixmap1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "pixmap1", pixmap1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (pixmap1);
  gtk_box_pack_start (GTK_BOX (hbox1), pixmap1, TRUE, TRUE, 0);

  frame2 = gtk_frame_new (NULL);
  gtk_widget_ref (frame2);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "frame2", frame2,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (frame2);
  gtk_box_pack_start (GTK_BOX (hbox1), frame2, TRUE, TRUE, 0);

/*
  label1 = gtk_label_new (_("Rubrica v.0.3 Scritta da Nicola Fragale <nicolafragale@libero.it>\nrilasciata sotto la licenza GPL (C) 2000-2001"));
*/
  label1 = gtk_label_new (_("Rubrica by Nicola Fragale <nicolafragale@libero.it>\nreleased under GPL licence (C) 2000-2001"));
  gtk_widget_ref (label1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "label1", label1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (label1);
  gtk_container_add (GTK_CONTAINER (frame2), label1);
  gtk_label_set_justify (GTK_LABEL (label1), GTK_JUSTIFY_LEFT);
  gtk_misc_set_alignment (GTK_MISC (label1), 0.2, 0.5);

  scrolledwindow1 = gtk_scrolled_window_new (NULL, NULL);
  gtk_widget_ref (scrolledwindow1);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "scrolledwindow1", scrolledwindow1,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (scrolledwindow1);
  gtk_box_pack_start (GTK_BOX (vbox1), scrolledwindow1, TRUE, TRUE, 0);
  gtk_scrolled_window_set_policy (GTK_SCROLLED_WINDOW (scrolledwindow1),
				  GTK_POLICY_NEVER, GTK_POLICY_ALWAYS);

  modulo->note = gtk_text_new (NULL, NULL);
  gtk_widget_ref (modulo->note);
  gtk_object_set_data_full (GTK_OBJECT (frame1), "modulo->note", modulo->note,
                            (GtkDestroyNotify) gtk_widget_unref);
  gtk_widget_show (modulo->note);
  gtk_container_add (GTK_CONTAINER (scrolledwindow1), modulo->note);
  gtk_text_set_editable (GTK_TEXT (modulo->note), TRUE);

  return frame1;
}
